> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Team Info > Gets a team's information. If the team is not public, the request sender must be a member of the team, or must have the `view-all-teams` permission. ## OpenAPI ````json GET /api/v1/teams.info { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/teams.info": { "get": { "tags": [ "Teams" ], "summary": "Get Team Info", "description": "Gets a team's information. If the team is not public, the request sender must be a member of the team, or must have the `view-all-teams` permission.", "operationId": "get-api-v1-teams.info", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Optional-TeamId" }, { "$ref": "#/components/parameters/Optional-TeamName" } ], "responses": { "200": { "description": "OK\n\nNote that the `roomId` is main room id of the team.", "content": { "application/json": { "schema": { "type": "object", "properties": { "teamInfo": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "type": { "type": "integer" }, "createdAt": { "type": "string" }, "createdBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } }, "_updatedAt": { "type": "string" }, "roomId": { "type": "string" } } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "teamInfo": { "_id": "607e0d9b49d493189836bfac", "name": "Team1", "type": 1, "createdAt": "2021-04-19T23:09:15.106Z", "createdBy": { "_id": "FL2fZL4ERhwA3gWiS", "username": "some.username" }, "_updatedAt": "2021-04-19T23:09:15.106Z", "roomId": "Dgh2xwJ3NFKWvKSqY" }, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Optional-TeamId": { "name": "teamId", "in": "query", "description": "The team id. It is required if the `teamName` is not provided.", "schema": { "type": "string" }, "example": "63f3efc4b000b6b6d86704b2" }, "Optional-TeamName": { "name": "teamName", "in": "query", "description": "The team name. It is required if the `teamId` is not provided.", "required": false, "schema": { "type": "string" }, "example": "livestream" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````